Bug 1225842 - Minor improvements and cleanup for the build system
Summary: Minor improvements and cleanup for the build system
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1198849 1290534
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-28 10:19 UTC by Humble Chirammal
Modified: 2016-10-17 09:04 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.7.16
Doc Type: Bug Fix
Doc Text:
Clone Of: 1198849
Environment:
Last Closed: 2016-10-17 09:04:48 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Humble Chirammal 2015-05-28 10:19:38 UTC
+++ This bug was initially created as a clone of Bug #1198849 +++

Use this bug to file changes that affect the build tools and configuration. Real bugs (problem reports) should have their own bugzilla entry for related patches.

Acceptable changes include:

- improve readability
- minor checkpatch.pl changes
- cleanup in Makefile.am files or configure.ac
- ...

--- Additional comment from Anand Avati on 2015-03-04 17:53:39 EST ---

REVIEW: http://review.gluster.org/9784 (build: adjust checkpatch for HEAD) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-03-04 18:13:04 EST ---

REVIEW: http://review.gluster.org/9803 (build: add more generated files to .gitignore) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-03-04 23:17:47 EST ---

REVIEW: http://review.gluster.org/9784 (build: adjust checkpatch for HEAD.) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-05 16:10:48 EST ---

COMMIT: http://review.gluster.org/9784 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 0bef7717d3100734c6c5a4ba85de7a39e76774db
Author: Michael Scherer <misc@zarb.org>
Date:   Mon Mar 2 16:24:05 2015 +0100

    build: adjust checkpatch for HEAD.
    
    README is called README.md in git HEAD, and we have a directory
    heal.
    
    Change-Id: I2e698b95c6924b5b21aa54257fefd6a6698255ee
    BUG: 1198849
    Signed-off-by: Michael Scherer <misc@zarb.org>
    Reviewed-on: http://review.gluster.org/9784
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

--- Additional comment from Anand Avati on 2015-03-10 11:36:38 EDT ---

COMMIT: http://review.gluster.org/9803 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 4f2b49eefd1a56469770534d7941fa37ae759f11
Author: Niels de Vos <ndevos@redhat.com>
Date:   Wed Mar 4 16:22:39 2015 +0100

    build: add more generated files to .gitignore
    
    Added *_unittest, *.log, *.trs, extras/run-gluster.tmpfiles and
    heal/src/glfsheal. Sorted the list of files to make it easier to modify
    in future.
    
    Change-Id: I0f21a03a89e61f84c6a85c8f1f98712c5819d633
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9803
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2015-03-18 06:02:44 EDT ---

REVIEW: http://review.gluster.org/9928 (marker: fix compile time warning on buf arg.) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-18 10:44:00 EDT ---

COMMIT: http://review.gluster.org/9928 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit dbd62a8d2b50392fbed0a0781a4f241dadb8f506
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Wed Mar 18 15:25:08 2015 +0530

    marker: fix compile time warning on buf arg.
    
    Problem:
    marker-quota.c: In function 'mq_inspect_directory_xattr_task':
    marker-quota.c:3451:31: warning: variable 'buf' set but not
    used [-Wunused-but-set-variable]
             struct iatt           buf                          = {0,};
    
    Change-Id: I211378328bdb2509a5d2a186d173f7f30a670c8a
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/9928
    Reviewed-by: Vijaikumar Mallikarjuna <vmallika@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2015-03-19 05:41:33 EDT ---

REVIEW: http://review.gluster.org/9940 (build: let checkpatch check for a trailing dot) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-03-21 06:29:37 EDT ---

REVIEW: http://review.gluster.org/9958 (glupy: correct the definition of GlusterFS in setup.py) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-22 08:21:39 EDT ---

REVIEW: http://review.gluster.org/9963 (build: only include sys/sysctl.h when sysctl() is used) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-03-23 15:28:38 EDT ---

COMMIT: http://review.gluster.org/9963 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 889044594614756243259a22ed1448408a2b33ac
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun Mar 22 13:17:46 2015 +0100

    build: only include sys/sysctl.h when sysctl() is used
    
    BUG: 1198849
    Change-Id: I9597b4b7f37994865f88b99651ea9ec89787f5cf
    Reported-by: Adam Borowski <kilobyte@angband.pl>
    URL: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=778790
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9963
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2015-03-23 16:15:41 EDT ---

COMMIT: http://review.gluster.org/9940 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 2308c07b9d52b28f371388b9393b17508b2ddccd
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Mar 19 10:38:23 2015 +0100

    build: let checkpatch check for a trailing dot
    
    The subject of a patch should not end with a dot (.). It is not common
    to have subjects of emails end with a dot, and neither is it common for
    patches.
    
    Change-Id: Id090241393aee3ca99df4887bdb2d7a7a8913164
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9940
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ira Cooper <ira@redhat.com>
    Reviewed-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2015-03-24 07:20:36 EDT ---

REVIEW: http://review.gluster.org/9958 (glupy: correct the definition of GlusterFS in setup.py) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-25 10:23:20 EDT ---

REVIEW: http://review.gluster.org/9997 (features/ctr: Removing rpc-lib, rpc-xdr and api from CPPFLAGS) posted (#1) for review on master by Anoop C S (achiraya@redhat.com)

--- Additional comment from Anand Avati on 2015-03-25 15:02:31 EDT ---

COMMIT: http://review.gluster.org/9997 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit f64666f113e7f0d3f7061dfed7e6e24928e85161
Author: Anoop C S <achiraya@redhat.com>
Date:   Wed Mar 25 19:51:41 2015 +0530

    features/ctr: Removing rpc-lib, rpc-xdr and api from CPPFLAGS
    
    Changetimerecorder doesn't seem to use rpc-lib, rpc-xdr
    and gfapi in the source. So removing those from Makefile.am
    
    Change-Id: I21c71db6212c10ba3821c6c456958a45c5312d41
    BUG: 1198849
    Signed-off-by: Anoop C S <achiraya@redhat.com>
    Reviewed-on: http://review.gluster.org/9997
    Reviewed-by: Joseph Fernandes <josferna@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

--- Additional comment from Anand Avati on 2015-03-30 03:06:45 EDT ---

REVIEW: http://review.gluster.org/10040 (build: ignore cscope files) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-30 06:04:32 EDT ---

REVIEW: http://review.gluster.org/10040 (build: ignore cscope files) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-30 07:09:30 EDT ---

REVIEW: http://review.gluster.org/10040 (build: ignore cscope files) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-30 08:38:13 EDT ---

COMMIT: http://review.gluster.org/9958 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit d2629aef8302c6b7d832063351c0ce1f2f2efbdd
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Sat Mar 21 15:57:13 2015 +0530

    glupy: correct the definition of GlusterFS in setup.py
    
    Change-Id: I31597a623b4ebf3d3129067eb20c661c910b97fe
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/9958
    Reviewed-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2015-03-30 12:44:20 EDT ---

COMMIT: http://review.gluster.org/10040 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 0a3420dbd57361174eb30fc054754f8c5499ecfb
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Mon Mar 30 12:32:27 2015 +0530

    build: ignore cscope files
    
    It is common for developers to use cscope and generate
    these cscope.* files with: cscope -b -q or with some
    other switches of cscope. This patch avoid 'git' to worry
    about the same.
    
    Change-Id: I3525e6f1a36f9800f4c27a2cdc6ea9c668981717
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10040
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2015-04-01 07:51:24 EDT ---

REVIEW: http://review.gluster.org/10099 (build: sort gitignore entries) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-04-01 13:53:05 EDT ---

REVIEW: http://review.gluster.org/10099 (build: sort gitignore entries) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-04-02 00:00:11 EDT ---

REVIEW: http://review.gluster.org/10099 (build: sort gitignore entries) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-04-06 05:37:41 EDT ---

REVIEW: http://review.gluster.org/10132 (build: add more files to .gitignore) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-04-06 09:00:43 EDT ---

COMMIT: http://review.gluster.org/10132 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit dc128c6bb0f8935e0aaa64602cd8a2dcedaebbf4
Author: Niels de Vos <ndevos@redhat.com>
Date:   Mon Apr 6 15:01:15 2015 +0530

    build: add more files to .gitignore
    
    Change-Id: Icef0d7f443f7caf3aa386d3a6978f98cf3a5a4af
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/10132
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2015-04-06 09:02:18 EDT ---

COMMIT: http://review.gluster.org/10099 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 120cdbf3ba51f493df3bff112a9e21c19349b543
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Mon Mar 30 12:49:13 2015 +0530

    build: sort gitignore entries
    
    Change-Id: I79d315efb47577ab88d090a96df13f1f92ed276c
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10099
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

--- Additional comment from Anand Avati on 2015-05-21 12:01:53 EDT ---

REVIEW: http://review.gluster.org/10885 (spec: correct the vendor string in spec file) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-05-22 03:37:43 EDT ---

REVIEW: http://review.gluster.org/10885 (spec: correct the vendor string in spec file) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-05-23 13:45:51 EDT ---

REVIEW: http://review.gluster.org/10897 (build: do not include rpcgen generated files in "make dist") posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-05-23 13:52:15 EDT ---

REVIEW: http://review.gluster.org/10897 (build: do not include rpcgen generated files in "make dist") posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-05-23 14:07:10 EDT ---

REVIEW: http://review.gluster.org/10897 (build: do not include rpcgen generated files in "make dist") posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-05-28 05:35:57 EDT ---

COMMIT: http://review.gluster.org/10885 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit bc33fe3c1621612788cf2f7928178f314a5f25f1
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Thu May 21 21:30:54 2015 +0530

    spec: correct the vendor string in spec file
    
    Change-Id: Id19c973092af506582741887d12fe00c85022f15
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10885
    Tested-by: NetBSD Build System
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 1 Anand Avati 2015-05-28 10:20:23 UTC
REVIEW: http://review.gluster.org/10964 (spec: correct the vendor string in spec file) posted (#2) for review on release-3.7 by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 2 Vijay Bellur 2016-04-30 09:14:16 UTC
REVIEW: http://review.gluster.org/14128 (rpc: fix gf_process_reserved_ports) posted (#1) for review on release-3.7 by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 3 Vijay Bellur 2016-04-30 09:20:13 UTC
REVIEW: http://review.gluster.org/14128 (rpc: fix gf_process_reserved_ports) posted (#2) for review on release-3.7 by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 4 Worker Ant 2016-09-05 15:00:31 UTC
REVIEW: http://review.gluster.org/15401 (build: correctly format some (s)size_t messages) posted (#1) for review on release-3.7 by Niels de Vos (ndevos@redhat.com)

Comment 5 Worker Ant 2016-09-07 11:49:46 UTC
COMMIT: http://review.gluster.org/15401 committed in release-3.7 by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 4f030852e3a4da367a948158cc8cf152e62bcee5
Author: Niels de Vos <ndevos@redhat.com>
Date:   Mon Sep 5 16:53:38 2016 +0200

    build: correctly format some (s)size_t messages
    
    On 32-bit builds the are are warnings like these:
    
        posix.c:6438: warning: format '%ld' expects type 'long int', but argument 11 has type 'ssize_t'
    
    Instead of using "%l" for (signed) size_t variables, "%z" should be
    used.
    
    Cherry picked from commit 3af889f02722f4636d2ea30570de6477e8b5a3a9:
    > BUG: 1198849
    > Change-Id: I6f57b5e8ea174dd9e3056aff5da685e497894ccf
    > Signed-off-by: Niels de Vos <ndevos@redhat.com>
    > Reviewed-on: http://review.gluster.org/14933
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    
    This patch is not really recommended for backporting, but we do have a
    new smoke test that fails when these warnings pop-up. It is cleaner to
    correct the code in the release-3.7 branch then to modify the smoke test
    to skip this branch.
    
    Change-Id: I6f57b5e8ea174dd9e3056aff5da685e497894ccf
    BUG: 1225842
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/15401
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>

Comment 6 Kaushal 2016-10-17 09:04:48 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.16, please open a new bug report.

glusterfs-3.7.16 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://www.gluster.org/pipermail/gluster-devel/2016-October/051187.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.